<?php

	/*
		Plugin Name: WP Video Quiz Game
		Description: Create Interactive Video Quiz Game Pages to Promote Any Type of Offer or Just for Fun!
		Version: 1.0
	*/

	add_action('template_redirect', 'checkifwpvideoquizgame_x', 5);
	function checkifwpvideoquizgame_x() {
	
		$post_type = get_query_var('post_type');
		if ($post_type == 'wpvideoquizgame') {  
	
			if (file_exists(TEMPLATEPATH . '/single-' . $post_type . '.php')) return;
				load_template(WP_PLUGIN_DIR . '/VideoGameQuiz/quiz/index.php');
			exit;
			
		}
		
	}

	require_once('settings/index.php');

	register_activation_hook( __FILE__, 'activatewpvideoquizgame');

	function activatewpvideoquizgame() {
		global $wpdb;
		$table_name = $wpdb->prefix . "wpvideoquizgame_leads";
		   
		   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
		      
		      $sql = "CREATE TABLE " . $table_name . " (
			    id INTEGER(40) UNSIGNED AUTO_INCREMENT,
			   name varchar(500),
			   email varchar(500),
			   pageID varchar(500),
			   memeImage varchar(500),
			   UNIQUE KEY id (id)
			 );";
		
		      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		      dbDelta($sql);
		   }


		  
	  }
	
	function wpvideoquizgame_addnewlead($name, $email, $pageID, $memeImage) {
		global $wpdb;
 		$table_db_name = $wpdb->prefix . "wpvideoquizgame_leads";
 		$wpdb->insert( $table_db_name, 
        array( 
	     'name' => $name,
	     'email' => $email,
	     'memeImage' => $memeImage,
	     'pageID' => $pageID
	      )
		);
		
		
	}

	
?>