<?php

 add_action( 'init', 'createwpvideoquizgame' );
	function createwpvideoquizgame() {
		register_post_type( 'wpvideoquizgame',
			array(
				'labels' => array(
					'name' => __( 'VideoQuizGame' ),
					'singular_name' => __( 'VideoQuizGame' )
				),
			'public' => true,
			'has_archive' => true,
			'menu_icon' => 'https://cdn2.iconfinder.com/data/icons/aspneticons_v1.0_Nov2006/help_16x16.gif',
			'rewrite' => true
			)
		);
		flush_rewrite_rules( );
	}

add_action( 'add_meta_boxes', 'settingsforwpvideoquizgame' );
function settingsforwpvideoquizgame()
{
	add_meta_box( 'wpvideoquizgame', 'Create Your Video Quiz Game:', 'createnewwpvideoquizgame', 'wpvideoquizgame', 'normal', 'high' );
}


function createnewwpvideoquizgame( $post )
{
	$values = get_post_custom( $post->ID );
	$mainheadline = isset( $values['mainheadline'] ) ? esc_attr( $values['mainheadline'][0] ) : '';
	$subheadline = isset( $values['subheadline'] ) ? esc_attr( $values['subheadline'][0] ) : '';
	$videopreview = isset( $values['videopreview'] ) ? esc_attr( $values['videopreview'][0] ) : '';
	$seoTitle = isset( $values['seoTitle'] ) ? esc_attr( $values['seoTitle'][0] ) : '';
	$descriptionSEO = isset( $values['descriptionSEO'] ) ? esc_attr( $values['descriptionSEO'][0] ) : '';
	$startbuttontext = isset( $values['startbuttontext'] ) ? esc_attr( $values['startbuttontext'][0] ) : '';
	$footer = isset( $values['footer'] ) ? esc_attr( $values['footer'][0] ) : '';
	$background = isset( $values['background'] ) ? esc_attr( $values['background'][0] ) : '';
	$background2 = isset( $values['background2'] ) ? esc_attr( $values['background2'][0] ) : '';
	$background3 = isset( $values['background3'] ) ? esc_attr( $values['background3'][0] ) : '';
	$youtubeID = isset( $values['youtubeID'] ) ? esc_attr( $values['youtubeID'][0] ) : '';
	$videoembed = isset( $values['videoembed'] ) ? esc_attr( $values['videoembed'][0] ) : '';

	$yourcoins = isset( $values['yourcoins'] ) ? esc_attr( $values['yourcoins'][0] ) : '';
	$coinIcon = isset( $values['coinIcon'] ) ? esc_attr( $values['coinIcon'][0] ) : '';
	$questionIcon = isset( $values['questionIcon'] ) ? esc_attr( $values['questionIcon'][0] ) : '';
	$winIcon = isset( $values['winIcon'] ) ? esc_attr( $values['winIcon'][0] ) : '';
	$smallwrongicon = isset( $values['smallwrongicon'] ) ? esc_attr( $values['smallwrongicon'][0] ) : '';
	$smallcorrecticon = isset( $values['smallcorrecticon'] ) ? esc_attr( $values['smallcorrecticon'][0] ) : '';
	$largecorrecticon = isset( $values['largecorrecticon'] ) ? esc_attr( $values['largecorrecticon'][0] ) : '';
	$largewrongicon = isset( $values['largewrongicon'] ) ? esc_attr( $values['largewrongicon'][0] ) : '';
	$collectedcoins = isset( $values['collectedcoins'] ) ? esc_attr( $values['collectedcoins'][0] ) : '';
	$questionswrong = isset( $values['questionswrong'] ) ? esc_attr( $values['questionswrong'][0] ) : '';
	$questionscorrect = isset( $values['questionscorrect'] ) ? esc_attr( $values['questionscorrect'][0] ) : '';

	$winheadline = isset( $values['winheadline'] ) ? esc_attr( $values['winheadline'][0] ) : '';
	$socialsharetext = isset( $values['socialsharetext'] ) ? esc_attr( $values['socialsharetext'][0] ) : '';
	$affurl = isset( $values['affurl'] ) ? esc_attr( $values['affurl'][0] ) : '';
	$winimage = isset( $values['winimage'] ) ? esc_attr( $values['winimage'][0] ) : '';
	$wintext = isset( $values['wintext'] ) ? esc_attr( $values['wintext'][0] ) : '';
	$buttontext = isset( $values['buttontext'] ) ? esc_attr( $values['buttontext'][0] ) : '';
	$winlargeimage = isset( $values['winlargeimage'] ) ? esc_attr( $values['winlargeimage'][0] ) : '';
	$winhtml = isset( $values['winhtml'] ) ? esc_attr( $values['winhtml'][0] ) : '';

	$question1 = isset( $values['question1'] ) ? esc_attr( $values['question1'][0] ) : '';
	$question1A = isset( $values['question1A'] ) ? esc_attr( $values['question1A'][0] ) : '';
	$question1B = isset( $values['question1B'] ) ? esc_attr( $values['question1B'][0] ) : '';
	$question1C = isset( $values['question1C'] ) ? esc_attr( $values['question1C'][0] ) : '';
	$question1D = isset( $values['question1D'] ) ? esc_attr( $values['question1D'][0] ) : '';
	$question1Correct = isset( $values['question1Correct'] ) ? esc_attr( $values['question1Correct'][0] ) : '';

	$question2 = isset( $values['question2'] ) ? esc_attr( $values['question2'][0] ) : '';
	$question2A = isset( $values['question2A'] ) ? esc_attr( $values['question2A'][0] ) : '';
	$question2B = isset( $values['question2B'] ) ? esc_attr( $values['question2B'][0] ) : '';
	$question2C = isset( $values['question2C'] ) ? esc_attr( $values['question2C'][0] ) : '';
	$question2D = isset( $values['question2D'] ) ? esc_attr( $values['question2D'][0] ) : '';
	$question2Correct = isset( $values['question2Correct'] ) ? esc_attr( $values['question2Correct'][0] ) : '';

	$question3 = isset( $values['question3'] ) ? esc_attr( $values['question3'][0] ) : '';
	$question3A = isset( $values['question3A'] ) ? esc_attr( $values['question3A'][0] ) : '';
	$question3B = isset( $values['question3B'] ) ? esc_attr( $values['question3B'][0] ) : '';
	$question3C = isset( $values['question3C'] ) ? esc_attr( $values['question3C'][0] ) : '';
	$question3D = isset( $values['question3D'] ) ? esc_attr( $values['question3D'][0] ) : '';
	$question3Correct = isset( $values['question3Correct'] ) ? esc_attr( $values['question3Correct'][0] ) : '';

	$question4 = isset( $values['question4'] ) ? esc_attr( $values['question4'][0] ) : '';
	$question4A = isset( $values['question4A'] ) ? esc_attr( $values['question4A'][0] ) : '';
	$question4B = isset( $values['question4B'] ) ? esc_attr( $values['question4B'][0] ) : '';
	$question4C = isset( $values['question4C'] ) ? esc_attr( $values['question4C'][0] ) : '';
	$question4D = isset( $values['question4D'] ) ? esc_attr( $values['question4D'][0] ) : '';
	$question4Correct = isset( $values['question4Correct'] ) ? esc_attr( $values['question4Correct'][0] ) : '';

	$question5 = isset( $values['question5'] ) ? esc_attr( $values['question5'][0] ) : '';
	$question5A = isset( $values['question5A'] ) ? esc_attr( $values['question5A'][0] ) : '';
	$question5B = isset( $values['question5B'] ) ? esc_attr( $values['question5B'][0] ) : '';
	$question5C = isset( $values['question5C'] ) ? esc_attr( $values['question5C'][0] ) : '';
	$question5D = isset( $values['question5D'] ) ? esc_attr( $values['question5D'][0] ) : '';
	$question5Correct = isset( $values['question5Correct'] ) ? esc_attr( $values['question5Correct'][0] ) : '';

	$question6 = isset( $values['question6'] ) ? esc_attr( $values['question6'][0] ) : '';
	$question6A = isset( $values['question6A'] ) ? esc_attr( $values['question6A'][0] ) : '';
	$question6B = isset( $values['question6B'] ) ? esc_attr( $values['question6B'][0] ) : '';
	$question6C = isset( $values['question6C'] ) ? esc_attr( $values['question6C'][0] ) : '';
	$question6D = isset( $values['question6D'] ) ? esc_attr( $values['question6D'][0] ) : '';
	$question6Correct = isset( $values['question6Correct'] ) ? esc_attr( $values['question6Correct'][0] ) : '';

	$question7 = isset( $values['question7'] ) ? esc_attr( $values['question7'][0] ) : '';
	$question7A = isset( $values['question7A'] ) ? esc_attr( $values['question7A'][0] ) : '';
	$question7B = isset( $values['question7B'] ) ? esc_attr( $values['question7B'][0] ) : '';
	$question7C = isset( $values['question7C'] ) ? esc_attr( $values['question7C'][0] ) : '';
	$question7D = isset( $values['question7D'] ) ? esc_attr( $values['question7D'][0] ) : '';
	$question7Correct = isset( $values['question7Correct'] ) ? esc_attr( $values['question7Correct'][0] ) : '';

	$question8 = isset( $values['question8'] ) ? esc_attr( $values['question8'][0] ) : '';
	$question8A = isset( $values['question8A'] ) ? esc_attr( $values['question8A'][0] ) : '';
	$question8B = isset( $values['question8B'] ) ? esc_attr( $values['question8B'][0] ) : '';
	$question8C = isset( $values['question8C'] ) ? esc_attr( $values['question8C'][0] ) : '';
	$question8D = isset( $values['question8D'] ) ? esc_attr( $values['question8D'][0] ) : '';
	$question8Correct = isset( $values['question8Correct'] ) ? esc_attr( $values['question8Correct'][0] ) : '';

	$question9 = isset( $values['question9'] ) ? esc_attr( $values['question9'][0] ) : '';
	$question9A = isset( $values['question9A'] ) ? esc_attr( $values['question9A'][0] ) : '';
	$question9B = isset( $values['question9B'] ) ? esc_attr( $values['question9B'][0] ) : '';
	$question9C = isset( $values['question9C'] ) ? esc_attr( $values['question9C'][0] ) : '';
	$question9D = isset( $values['question9D'] ) ? esc_attr( $values['question9D'][0] ) : '';
	$question9Correct = isset( $values['question9Correct'] ) ? esc_attr( $values['question9Correct'][0] ) : '';

	$question10 = isset( $values['question10'] ) ? esc_attr( $values['question10'][0] ) : '';
	$question10A = isset( $values['question10A'] ) ? esc_attr( $values['question10A'][0] ) : '';
	$question10B = isset( $values['question10B'] ) ? esc_attr( $values['question10B'][0] ) : '';
	$question10C = isset( $values['question10C'] ) ? esc_attr( $values['question10C'][0] ) : '';
	$question10D = isset( $values['question10D'] ) ? esc_attr( $values['question10D'][0] ) : '';
	$question10Correct = isset( $values['question10Correct'] ) ? esc_attr( $values['question10Correct'][0] ) : '';

	
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
	include( plugin_dir_path( __FILE__ ) . 'style.php');
	include( plugin_dir_path( __FILE__ ) . 'options.php');
	
}


add_action( 'save_post', 'savewpvideoquizgame' );
function savewpvideoquizgame( $post_id )
{
	if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
	if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
	if( !current_user_can( 'edit_post' ) ) return;
	$allowed = array( 
		'a' => array( 
			'href' => array() 
		)
	);
	
	if( isset( $_POST['mainheadline'] ) )
		update_post_meta( $post_id, 'mainheadline', wp_kses( $_POST['mainheadline'], $allowed ) );
		
	if( isset( $_POST['subheadline'] ) )
		update_post_meta( $post_id, 'subheadline', esc_attr( $_POST['subheadline'] ) );
		
	if( isset( $_POST['videopreview'] ) )
		update_post_meta( $post_id, 'videopreview', esc_attr( $_POST['videopreview'] ) );
	
	if( isset( $_POST['seoTitle'] ) )
		update_post_meta( $post_id, 'seoTitle', esc_attr( $_POST['seoTitle'] ) );
		
	if( isset( $_POST['descriptionSEO'] ) )
		update_post_meta( $post_id, 'descriptionSEO', esc_attr( $_POST['descriptionSEO'] ) );

	if( isset( $_POST['startbuttontext'] ) )
		update_post_meta( $post_id, 'startbuttontext', esc_attr( $_POST['startbuttontext'] ) );

	if( isset( $_POST['footer'] ) )
		update_post_meta( $post_id, 'footer', esc_attr( $_POST['footer'] ) );

	if( isset( $_POST['background'] ) )
		update_post_meta( $post_id, 'background', esc_attr( $_POST['background'] ) );
	if( isset( $_POST['background2'] ) )
		update_post_meta( $post_id, 'background2', esc_attr( $_POST['background2'] ) );
	if( isset( $_POST['background3'] ) )
		update_post_meta( $post_id, 'background3', esc_attr( $_POST['background3'] ) );
	if( isset( $_POST['youtubeID'] ) )
		update_post_meta( $post_id, 'youtubeID', esc_attr( $_POST['youtubeID'] ) );
	if( isset( $_POST['videoembed'] ) )
		update_post_meta( $post_id, 'videoembed', esc_attr( $_POST['videoembed'] ) );

	if( isset( $_POST['winIcon'] ) )
		update_post_meta( $post_id, 'winIcon', esc_attr( $_POST['winIcon'] ) );
	if( isset( $_POST['questionIcon'] ) )
		update_post_meta( $post_id, 'questionIcon', esc_attr( $_POST['questionIcon'] ) );
	if( isset( $_POST['smallcorrecticon'] ) )
		update_post_meta( $post_id, 'smallcorrecticon', esc_attr( $_POST['smallcorrecticon'] ) );
	if( isset( $_POST['smallwrongicon'] ) )
		update_post_meta( $post_id, 'smallwrongicon', esc_attr( $_POST['smallwrongicon'] ) );
	if( isset( $_POST['largewrongicon'] ) )
		update_post_meta( $post_id, 'largewrongicon', esc_attr( $_POST['largewrongicon'] ) );
	if( isset( $_POST['largecorrecticon'] ) )
		update_post_meta( $post_id, 'largecorrecticon', esc_attr( $_POST['largecorrecticon'] ) );
	if( isset( $_POST['yourcoins'] ) )
		update_post_meta( $post_id, 'yourcoins', esc_attr( $_POST['yourcoins'] ) );
	if( isset( $_POST['coinIcon'] ) )
		update_post_meta( $post_id, 'coinIcon', esc_attr( $_POST['coinIcon'] ) );

	if( isset( $_POST['collectedcoins'] ) )
		update_post_meta( $post_id, 'collectedcoins', esc_attr( $_POST['collectedcoins'] ) );
	if( isset( $_POST['questionscorrect'] ) )
		update_post_meta( $post_id, 'questionscorrect', esc_attr( $_POST['questionscorrect'] ) );
	if( isset( $_POST['questionswrong'] ) )
		update_post_meta( $post_id, 'questionswrong', esc_attr( $_POST['questionswrong'] ) );

	if( isset( $_POST['winheadline'] ) )
		update_post_meta( $post_id, 'winheadline', esc_attr( $_POST['winheadline'] ) );
	if( isset( $_POST['socialsharetext'] ) )
		update_post_meta( $post_id, 'socialsharetext', esc_attr( $_POST['socialsharetext'] ) );
	if( isset( $_POST['affurl'] ) )
		update_post_meta( $post_id, 'affurl', esc_attr( $_POST['affurl'] ) );
	if( isset( $_POST['winimage'] ) )
		update_post_meta( $post_id, 'winimage', esc_attr( $_POST['winimage'] ) );
	if( isset( $_POST['wintext'] ) )
		update_post_meta( $post_id, 'wintext', esc_attr( $_POST['wintext'] ) );
	if( isset( $_POST['buttontext'] ) )
		update_post_meta( $post_id, 'buttontext', esc_attr( $_POST['buttontext'] ) );
	if( isset( $_POST['winlargeimage'] ) )
		update_post_meta( $post_id, 'winlargeimage', esc_attr( $_POST['winlargeimage'] ) );
	if( isset( $_POST['winhtml'] ) )
		update_post_meta( $post_id, 'winhtml', esc_attr( $_POST['winhtml'] ) );

	if( isset( $_POST['question1'] ) )
		update_post_meta( $post_id, 'question1', esc_attr( $_POST['question1'] ) );
	if( isset( $_POST['question1A'] ) )
		update_post_meta( $post_id, 'question1A', esc_attr( $_POST['question1A'] ) );
	if( isset( $_POST['question1B'] ) )
		update_post_meta( $post_id, 'question1B', esc_attr( $_POST['question1B'] ) );
	if( isset( $_POST['question1C'] ) )
		update_post_meta( $post_id, 'question1C', esc_attr( $_POST['question1C'] ) );
	if( isset( $_POST['question1D'] ) )
		update_post_meta( $post_id, 'question1D', esc_attr( $_POST['question1D'] ) );
	if( isset( $_POST['question1Correct'] ) )
		update_post_meta( $post_id, 'question1Correct', esc_attr( $_POST['question1Correct'] ) );

	if( isset( $_POST['question2'] ) )
		update_post_meta( $post_id, 'question2', esc_attr( $_POST['question2'] ) );
	if( isset( $_POST['question2A'] ) )
		update_post_meta( $post_id, 'question2A', esc_attr( $_POST['question2A'] ) );
	if( isset( $_POST['question2B'] ) )
		update_post_meta( $post_id, 'question2B', esc_attr( $_POST['question2B'] ) );
	if( isset( $_POST['question2C'] ) )
		update_post_meta( $post_id, 'question2C', esc_attr( $_POST['question2C'] ) );
	if( isset( $_POST['question2D'] ) )
		update_post_meta( $post_id, 'question2D', esc_attr( $_POST['question2D'] ) );
	if( isset( $_POST['question2Correct'] ) )
		update_post_meta( $post_id, 'question2Correct', esc_attr( $_POST['question2Correct'] ) );

	if( isset( $_POST['question3'] ) )
		update_post_meta( $post_id, 'question3', esc_attr( $_POST['question3'] ) );
	if( isset( $_POST['question3A'] ) )
		update_post_meta( $post_id, 'question3A', esc_attr( $_POST['question3A'] ) );
	if( isset( $_POST['question3B'] ) )
		update_post_meta( $post_id, 'question3B', esc_attr( $_POST['question3B'] ) );
	if( isset( $_POST['question3C'] ) )
		update_post_meta( $post_id, 'question3C', esc_attr( $_POST['question3C'] ) );
	if( isset( $_POST['question3D'] ) )
		update_post_meta( $post_id, 'question3D', esc_attr( $_POST['question3D'] ) );
	if( isset( $_POST['question3Correct'] ) )
		update_post_meta( $post_id, 'question3Correct', esc_attr( $_POST['question3Correct'] ) );
	
	if( isset( $_POST['question4'] ) )
		update_post_meta( $post_id, 'question4', esc_attr( $_POST['question4'] ) );
	if( isset( $_POST['question4A'] ) )
		update_post_meta( $post_id, 'question4A', esc_attr( $_POST['question4A'] ) );
	if( isset( $_POST['question4B'] ) )
		update_post_meta( $post_id, 'question4B', esc_attr( $_POST['question4B'] ) );
	if( isset( $_POST['question4C'] ) )
		update_post_meta( $post_id, 'question4C', esc_attr( $_POST['question4C'] ) );
	if( isset( $_POST['question4D'] ) )
		update_post_meta( $post_id, 'question4D', esc_attr( $_POST['question4D'] ) );
	if( isset( $_POST['question4Correct'] ) )
		update_post_meta( $post_id, 'question4Correct', esc_attr( $_POST['question4Correct'] ) );

	if( isset( $_POST['question5'] ) )
		update_post_meta( $post_id, 'question5', esc_attr( $_POST['question5'] ) );
	if( isset( $_POST['question5A'] ) )
		update_post_meta( $post_id, 'question5A', esc_attr( $_POST['question5A'] ) );
	if( isset( $_POST['question5B'] ) )
		update_post_meta( $post_id, 'question5B', esc_attr( $_POST['question5B'] ) );
	if( isset( $_POST['question5C'] ) )
		update_post_meta( $post_id, 'question5C', esc_attr( $_POST['question5C'] ) );
	if( isset( $_POST['question5D'] ) )
		update_post_meta( $post_id, 'question5D', esc_attr( $_POST['question5D'] ) );
	if( isset( $_POST['question5Correct'] ) )
		update_post_meta( $post_id, 'question5Correct', esc_attr( $_POST['question5Correct'] ) );

	if( isset( $_POST['question6'] ) )
		update_post_meta( $post_id, 'question6', esc_attr( $_POST['question6'] ) );
	if( isset( $_POST['question6A'] ) )
		update_post_meta( $post_id, 'question6A', esc_attr( $_POST['question6A'] ) );
	if( isset( $_POST['question6B'] ) )
		update_post_meta( $post_id, 'question6B', esc_attr( $_POST['question6B'] ) );
	if( isset( $_POST['question6C'] ) )
		update_post_meta( $post_id, 'question6C', esc_attr( $_POST['question6C'] ) );
	if( isset( $_POST['question6D'] ) )
		update_post_meta( $post_id, 'question6D', esc_attr( $_POST['question6D'] ) );
	if( isset( $_POST['question6Correct'] ) )
		update_post_meta( $post_id, 'question6Correct', esc_attr( $_POST['question6Correct'] ) );

	if( isset( $_POST['question7'] ) )
		update_post_meta( $post_id, 'question7', esc_attr( $_POST['question7'] ) );
	if( isset( $_POST['question7A'] ) )
		update_post_meta( $post_id, 'question7A', esc_attr( $_POST['question7A'] ) );
	if( isset( $_POST['question7B'] ) )
		update_post_meta( $post_id, 'question7B', esc_attr( $_POST['question7B'] ) );
	if( isset( $_POST['question7C'] ) )
		update_post_meta( $post_id, 'question7C', esc_attr( $_POST['question7C'] ) );
	if( isset( $_POST['question7D'] ) )
		update_post_meta( $post_id, 'question7D', esc_attr( $_POST['question7D'] ) );
	if( isset( $_POST['question7Correct'] ) )
		update_post_meta( $post_id, 'question7Correct', esc_attr( $_POST['question7Correct'] ) );

	if( isset( $_POST['question8'] ) )
		update_post_meta( $post_id, 'question8', esc_attr( $_POST['question8'] ) );
	if( isset( $_POST['question8A'] ) )
		update_post_meta( $post_id, 'question8A', esc_attr( $_POST['question8A'] ) );
	if( isset( $_POST['question8B'] ) )
		update_post_meta( $post_id, 'question8B', esc_attr( $_POST['question8B'] ) );
	if( isset( $_POST['question8C'] ) )
		update_post_meta( $post_id, 'question8C', esc_attr( $_POST['question8C'] ) );
	if( isset( $_POST['question8D'] ) )
		update_post_meta( $post_id, 'question8D', esc_attr( $_POST['question8D'] ) );
	if( isset( $_POST['question8Correct'] ) )
		update_post_meta( $post_id, 'question8Correct', esc_attr( $_POST['question8Correct'] ) );

	if( isset( $_POST['question9'] ) )
		update_post_meta( $post_id, 'question9', esc_attr( $_POST['question9'] ) );
	if( isset( $_POST['question9A'] ) )
		update_post_meta( $post_id, 'question9A', esc_attr( $_POST['question9A'] ) );
	if( isset( $_POST['question9B'] ) )
		update_post_meta( $post_id, 'question9B', esc_attr( $_POST['question9B'] ) );
	if( isset( $_POST['question9C'] ) )
		update_post_meta( $post_id, 'question9C', esc_attr( $_POST['question9C'] ) );
	if( isset( $_POST['question9D'] ) )
		update_post_meta( $post_id, 'question9D', esc_attr( $_POST['question9D'] ) );
	if( isset( $_POST['question9Correct'] ) )
		update_post_meta( $post_id, 'question9Correct', esc_attr( $_POST['question9Correct'] ) );

	if( isset( $_POST['question10'] ) )
		update_post_meta( $post_id, 'question10', esc_attr( $_POST['question10'] ) );
	if( isset( $_POST['question10A'] ) )
		update_post_meta( $post_id, 'question10A', esc_attr( $_POST['question10A'] ) );
	if( isset( $_POST['question10B'] ) )
		update_post_meta( $post_id, 'question10B', esc_attr( $_POST['question10B'] ) );
	if( isset( $_POST['question10C'] ) )
		update_post_meta( $post_id, 'question10C', esc_attr( $_POST['question10C'] ) );
	if( isset( $_POST['question10D'] ) )
		update_post_meta( $post_id, 'question10D', esc_attr( $_POST['question10D'] ) );
	if( isset( $_POST['question10Correct'] ) )
		update_post_meta( $post_id, 'question10Correct', esc_attr( $_POST['question10Correct'] ) );
}

?>